# Copyright (c) 2000-2009, JPackage Project
# All rights reserved.
#
# Redistribution and use in source and binary forms, with or without
# modification, are permitted provided that the following conditions
# are met:
#
# 1. Redistributions of source code must retain the above copyright
#    notice, this list of conditions and the following disclaimer.
# 2. Redistributions in binary form must reproduce the above copyright
#    notice, this list of conditions and the following disclaimer in the
#    documentation and/or other materials provided with the
#    distribution.
# 3. Neither the name of the JPackage Project nor the names of its
#    contributors may be used to endorse or promote products derived
#    from this software without specific prior written permission.
#
# THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS
# "AS IS" AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT
# LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR
# A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT
# OWNER OR CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT
# LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE,
# DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY
# THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT
# (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE
# OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
#

%define _jarsign_opts --nocopy --skip=%{basedir} --skip=%{bindir} --skip=%{_javadir}

%define section free

%define with()          %{expand:%%{?with_%{1}:1}%%{!?with_%{1}:0}}
%define without()       %{expand:%%{?with_%{1}:0}%%{!?with_%{1}:1}}
%define bcond_with()    %{expand:%%{?_with_%{1}:%%global with_%{1} 1}}
%define bcond_without() %{expand:%%{!?_without_%{1}:%%global with_%{1} 1}}

%bcond_without zips
%bcond_with ws
%bcond_without repolib

%define with_signing 0
%define patchnumber 07
%define patchlevel -patch-%{patchnumber}
%define release_patchlevel _patch_%{patchnumber}

%define repodir %{_javadir}/repository.jboss.com/apache-tomcat/%{version}%{patchlevel}-brew
%define repodirlib %{repodir}/lib
%define repodirsrc %{repodir}/src

%define jspspec 2.1
%define major_version 6
%define minor_version 0
%define micro_version 35
%define packdname apache-tomcat-%{version}-src
%define servletspec 2.5
%define elspec 1.0
%define tcuid 91

# FHS 2.3 compliant tree structure - http://www.pathname.com/fhs/2.3/
%define basedir %{_var}/lib/%{name}
%define appdir %{basedir}/webapps
%define homedir %{_datadir}/%{name}
%define bindir %{homedir}/bin
%define confdir %{_sysconfdir}/%{name}
%define libdir %{_javadir}/%{name}
%define logdir %{_var}/log/%{name}
%define cachedir %{_var}/cache/%{name}
%define tempdir %{cachedir}/temp
%define workdir %{cachedir}/work
%define _initrddir %{_sysconfdir}/init.d
%define javasigneddir %{_datadir}/java-signed

Name: tomcat6
Epoch: 0
Version: %{major_version}.%{minor_version}.%{micro_version}
Release: 33%{release_patchlevel}%{?dist}
Summary: Apache Servlet/JSP Engine, RI for Servlet %{servletspec}/JSP %{jspspec} API
Group: Networking/Daemons
License: ASL 2.0
URL: http://tomcat.apache.org/
#http://apache.mirror.rafal.ca/tomcat/tomcat-6/v6.0.32/src/apache-tomcat-6.0.32-src.tar.gz
Source0: http://www.apache.org/dist/tomcat/tomcat-6/v%{version}/src/%{packdname}.tar.gz
Source1: %{name}-%{major_version}.%{minor_version}.conf
Source2: %{name}-%{major_version}.%{minor_version}.init
Source3: %{name}-%{major_version}.%{minor_version}.sysconfig
Source4: %{name}-%{major_version}.%{minor_version}.wrapper
Source5: %{name}-%{major_version}.%{minor_version}.logrotate
Source6: %{name}-%{major_version}.%{minor_version}-digest.script
Source7: %{name}-%{major_version}.%{minor_version}-tool-wrapper.script
# The jsvc.tar.gz is only availble in the binary zip from apache.org
# wget http://www.apache.org/dist/tomcat/tomcat-6/v6.0.24/bin/apache-tomcat-6.0.24.zip
# unzip apache-tomcat-6.0.24.zip apache-tomcat-6.0.24/bin/jsvc.tar.gz
# mv apache-tomcat-6.0.24/bin/jsvc.tar.gz tomcat6-6.0.24-jsvc.tar.gz
#Source8: %{name}-6.0.24-jsvc.tar.gz
Source9: %{name}-%{major_version}.%{minor_version}-log4j.properties
Source10: %{name}-component-info.xml
# for SELinux
Source11: %{name}-selinux.te
Source12: %{name}-selinux.if
Source13: %{name}-selinux.fc

#Source90: %{name}-6.0.policy
#Source95: %{name}-6.0.JBossPublicKey.RSA
Source99: sign-unsigned-jars

Patch0: %{name}-%{major_version}.%{minor_version}-bootstrap-MANIFEST.MF.patch
Patch1: %{name}-%{major_version}.%{minor_version}-tomcat-users-webapp.patch
Patch2: %{name}-%{major_version}.%{minor_version}-build.patch
Patch3: %{name}-%{major_version}.%{minor_version}-build-extras.patch
# Remove clustering from Tomcat6 in EWS
Patch4: %{name}-6.0.24-noclustering.patch
# Do not build windows zip
Patch5: %{name}-6.0.32-nowinzips.patch
#Comment out until building for EWS 1.0.2
# 2011-02-07 Not required. Already in 6.0.32 source
#Patch6: %{name}-JBPAPP-4188.patch
#Patch6: %{name}-JBPAPP-4221.patch
# 2011-02-07 Not required. Already in 6.0.32 source
#Patch7: %{name}-%{major_version}.%{minor_version}.%{micro_version}-CVE-2010-2227.patch
# 2011-02-07 Not required. Already in 6.0.32 source
# Patch8: %{name}-%{major_version}.%{minor_version}-rhbz-674601.patch
#Patch9: %{name}-6.0.32-jbpapp3749-catalina.sh.patch
Patch10: %{name}-6.0-jbpapp-6122-jon.patch
Patch11: %{name}-6.0.32-jbpapp-3749.patch
# Do not apply
#Patch12: %{name}-6.0.35-JBPAPP-9661.patch
Patch12: %{name}-6.0.35-JBPAPP-9725.patch

Patch13: %{name}-6.0.35-CVE-2012-3546-rhbz-883634.patch
Patch14: %{name}-6.0.35-CVE-2012-4431-rhbz-883694.patch
Patch15: %{name}-6.0.35-CVE-2012-3439-rhbz-882015.patch
Patch16: %{name}-6.0.35-CVE-2012-2733-rhbz-881602.patch
Patch17: %{name}-6.0.35-CVE-2012-4534-rhbz-883694.patch
Patch18: %{name}-6.0.35-rhbz-900779.patch

BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root
BuildArch: noarch
BuildRequires: zip
BuildRequires: ant >= 0:1.7.1
BuildRequires: ant-trax
BuildRequires: xalan-j2 >= 0:2.7.1
# Use ecj3 instead of ecj
BuildRequires: ecj3 >= 1:3.7.1
BuildRequires: findutils
BuildRequires: apache-commons-collections-tomcat-eap6
BuildRequires: apache-commons-daemon-eap6
# Library update
BuildRequires: apache-commons-logging-tomcat-eap6
BuildRequires: apache-commons-dbcp-tomcat-eap6
BuildRequires: apache-commons-pool-tomcat-eap6
%if %with ws
BuildRequires: axis >= 0:1.1
BuildRequires: wsdl4j >= 0:1.6.1
%endif
BuildRequires: java-devel >= 0:1.5.0
BuildRequires: jpackage-utils >= 0:1.7.0
BuildRequires: junit
BuildRequires: log4j >= 0:1.2.14

#for uploading to r.j.o/maven2-brew
BuildRequires:  maven-source-plugin
BuildRequires:  maven-deploy-plugin

BuildRequires: jboss-parent
BuildRequires: apache-commons-parent
BuildRequires: apache-parent >= 0:7

# for SELinux
%if "%{?rhel}" == "6"
BuildRequires: selinux-policy
%else
BuildRequires: selinux-policy-devel
%endif

Requires(pre): shadow-utils
Requires(pre): shadow-utils
Requires: apache-commons-daemon-eap6
Requires: apache-commons-logging-tomcat-eap6
Requires: java >= 0:1.6.0
Requires: procps
Requires: %{name}-lib = %{epoch}:%{version}-%{release}
Requires(post): chkconfig
Requires(preun): chkconfig
Requires(post): redhat-lsb
Requires(preun): redhat-lsb

%description
Tomcat is the servlet container that is used in the official Reference
Implementation for the Java Servlet and JavaServer Pages technologies.
The Java Servlet and JavaServer Pages specifications are developed by
Sun under the Java Community Process.

Tomcat is developed in an open and participatory environment and
released under the Apache Software License version 2.0. Tomcat is intended
to be a collaboration of the best-of-breed developers from around the world.

%package admin-webapps
Group: System Environment/Applications
Summary: The host-manager and manager web applications for Apache Tomcat
Requires: %{name} = %{epoch}:%{version}-%{release}

%description admin-webapps
The host-manager and manager web applications for Apache Tomcat.

%if %with ws
%package ws
Group: Internet/WWW/Dynamic Content
Summary: Web Services (JSR 109) support for Apache Tomcat
Requires: axis >= 0:1.1
Requires: wsdl4j >= 0:1.6.1

%description ws
Tomcat provides factories for JSR 109 which may be used to resolve web services
references.
%endif

%package docs-webapp
Group: System Environment/Applications
Summary: The docs web application for Apache Tomcat
Requires: %{name} = %{epoch}:%{version}-%{release}

%description docs-webapp
The docs web application for Apache Tomcat.

%package el-%{elspec}-api
Summary: Expression Language v1.0 API
Group: Development/Libraries/Java
Provides: el_1_0_api = %{epoch}:%{version}-%{release}
Provides: el_api = 0:1.0
Requires(preun):  %{_sbindir}/update-alternatives
Requires(post):  %{_sbindir}/update-alternatives

%description el-%{elspec}-api
Expression Language 1.0.

%package javadoc
Group: Documentation
Summary: Javadoc generated documentation for Apache Tomcat
Requires(pre): coreutils

%description javadoc
Javadoc generated documentation for Apache Tomcat.

%package jsp-%{jspspec}-api
Group: Internet/WWW/Dynamic Content
Summary: Apache Tomcat JSP API implementation classes
Provides: jsp = %{jspspec}
Provides: jsp21
Requires: %{name}-servlet-%{servletspec}-api = %{epoch}:%{version}-%{release}
Requires(post): %{_sbindir}/update-alternatives
Requires(postun): %{_sbindir}/update-alternatives

%description jsp-%{jspspec}-api
Apache Tomcat JSP API implementation classes.

%package log4j
Group: Internet/WWW/Dynamic Content
Summary: Log4J support for Apache Tomcat
# The jar is copied over instead of linking because it is in base
#Requires: log4j
# Library update - replaced by apache-commons-logging-eap6-1.1.1-6.9
Requires: apache-commons-logging-tomcat-eap6

%description log4j
Log4J support for Apache Tomcat.

%package lib
Group: Development/Compilers
Summary: Libraries needed to run the Tomcat Web container
Requires: %{name}-jsp-%{jspspec}-api = %{epoch}:%{version}-%{release}
Requires: %{name}-servlet-%{servletspec}-api = %{epoch}:%{version}-%{release}
Requires: %{name}-el-%{elspec}-api = %{epoch}:%{version}-%{release}
Requires: ecj3 >= 1:3.7.1
Requires: apache-commons-collections-tomcat-eap6
Requires: apache-commons-dbcp-tomcat-eap6
Requires: apache-commons-pool-tomcat-eap6
Requires(preun): coreutils

%description lib
Libraries needed to run the Tomcat Web container.

%package servlet-%{servletspec}-api
Group: Internet/WWW/Dynamic Content
Summary: Apache Tomcat Servlet API implementation classes
Provides: servlet = %{servletspec}
Provides: servlet6
Provides: servlet25
Requires(post): %{_sbindir}/update-alternatives
Requires(postun): %{_sbindir}/update-alternatives

%description servlet-%{servletspec}-api
Apache Tomcat Servlet API implementation classes.

%package webapps
Group: System Environment/Applications
Summary: The ROOT and examples web applications for Apache Tomcat
Requires: %{name} = %{epoch}:%{version}-%{release}

%description webapps
The ROOT and examples web applications for Apache Tomcat.

%if %with zips
%package zip
Summary:     Container for the zipped distribution of tomcat6
Group:       Development

%description zip
Container for the zipped distribution of tomcat6

%package src-zip
Summary:     Container for the sources
Group:       Development

%description src-zip
Container for the sources
%endif

%if %with repolib
%package repolib
Summary:        Artifacts to be uploaded to a repository library
Group:          Development/Libraries/Java

%description repolib
Artifacts to be uploaded to a repository library.
This package is not meant to be installed but so its contents
can be extracted through rpm2cpio.
%endif

%prep
%setup -q -c -T -a 0
%{_bindir}/find . -type f -name "*.[jw]ar" -o -type f -name "*.bat" -o -type f -name "*.pdf" | %{_bindir}/xargs -t %{__rm}
pushd %{packdname}
#JBPAPP-3653
sed -i -e '/<target name="package-zip">/,/<\/target>/s/eol="crlf"/eol="lf"/' dist.xml

%patch0 -p0
%patch1 -p0
%patch2 -p0
%patch3 -p0
%patch4 -p0
%patch5 -p0
%patch10 -p0
%patch11 -p0
%patch12 -p0
%patch13 -p0
%patch14 -p0
%patch15 -p0
%patch16 -p0
%patch17 -p0
%patch18 -p0

%{__ln_s} $(build-classpath ecj3) jasper-jdt.jar
# We are going to replace 
# tomcat-dbcp.jar with apache-commons-{collections,dbcp,pool}.jar
# so just create a dummy file for later removal
%{__mkdir_p} tmp
pushd tmp
%{jar} xf $(build-classpath commons-collections-eap6)
%{jar} xf $(build-classpath commons-dbcp-eap6)
%{jar} xf $(build-classpath commons-pool-eap6)
# remove signature since we repack this jar
rm -f META-INF/JBOSSCOD.*
%{jar} cf ../tomcat-dbcp.jar *
popd
%{__rm} -r tmp
popd

%{__cat} > README.CVE-2007-1355 << EOF
<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.0 Transitional//EN">
<HTML><HEAD><TITLE>Examples Removed</TITLE>
<META http-equiv=Content-Type content="text/html">
</HEAD>
<BODY>
<P>
<H>Note: The following files have been removed due to CVE-2007-1355:

</P>
<P>
%{appdir}/examples/servlets/*
</P>
<P>
%{appdir}/examples/jsp/*
</P>
<P>
%{appdir}/docs/appdev/sample/*
</P>
</H>
</BODY></HTML>
EOF

pushd %{packdname}
%{__mkdir_p} output/extras
%{__ln_s} $(build-classpath commons-logging-adapters) output/extras/tomcat-juli-adapters.jar
%if %with ws
%{__mkdir_p} output/extras/webservices
%{__ln_s} $(build-classpath axis/jaxrpc) output/extras/webservices/jaxrpc.jar
%{__ln_s} $(build-classpath wsdl4j/wsdl4j16) output/extras/webservices/wsdl4j.jar
%endif
popd

%build
export CLASSPATH=%(build-classpath xalan-j2)
export OPT_JAR_LIST="`%{__cat} %{_sysconfdir}/ant.d/trax` xalan-j2-serializer"
pushd %{packdname}
    # We don't care about the tarballs
    # Who needs a build.properties file anyway
    %{ant} -Dbase.path="." \
        -Dbuild.compiler="modern" \
        -Dcommons-collections.jar="$(build-classpath commons-collections-eap6)" \
        -Dcommons-daemon.jar="$(build-classpath commons-daemon-eap6)" \
        -Dcommons-daemon.jsvc.tar.gz=../jsvc.tar.gz \
        -Djasper-jdt.jar="jasper-jdt.jar" \
        -Djdt.jar="jasper-jdt.jar" \
        -Dtomcat-dbcp.jar="tomcat-dbcp.jar" \
        -Dtomcat-native.tar.gz="" \
        -Dversion="%{version}" \
		  -Dversion.patch="Red Hat EWS" \
        -Dversion.build="%{micro_version}-%{release}"

    pushd output/build/webapps/docs/appdev/sample
    %{ant} \
        dist
    popd
    %{__mv} output/build/webapps/docs/appdev/sample/dist/myapp-0.1-dev.war output/build/webapps/docs/appdev/sample/sample.war
    %{__rm} -r output/build/webapps/docs/appdev/sample/build
    %{__rm} -r output/build/webapps/docs/appdev/sample/dist

    # extras generation
%if %with ws
    %{ant} -Dbase.path="." \
        -Dbuild.compiler="modern" \
        -Dcommons-collections.jar="$(build-classpath commons-collections-eap6)" \
        -Dcommons-daemon.jar="$(build-classpath commons-daemon-eap6)" \
        -Dcommons-daemon.jsvc.tar.gz=../jsvc.tar.gz \
        -Djasper-jdt.jar="jasper-jdt.jar" \
        -Djdt.jar="jasper-jdt.jar" \
        -Dtomcat-dbcp.jar="tomcat-dbcp.jar" \
        -Dtomcat-native.tar.gz="" \
        -Dversion="%{version}" \
		  -Dversion.patch="Red Hat EWS" \
        -Dversion.build="%{micro_version}-%{release}" \
        -f extras.xml
%else
    %{ant} -Dbase.path="." \
        -Dbuild.compiler="modern" \
        -Dcommons-collections.jar="$(build-classpath commons-collections-eap6)" \
        -Dcommons-daemon.jar="$(build-classpath commons-daemon-eap6)" \
        -Dcommons-daemon.jsvc.tar.gz=../jsvc.tar.gz \
        -Djasper-jdt.jar="jasper-jdt.jar" \
        -Djdt.jar="jasper-jdt.jar" \
        -Dtomcat-dbcp.jar="tomcat-dbcp.jar" \
        -Dtomcat-native.tar.gz="" \
        -Dversion="%{version}" \
		  -Dversion.patch="Red Hat EWS" \
        -Dversion.build="%{micro_version}-%{version}" \
        -f extras.xml prepare commons-logging
%endif
    #%{__mkdir_p} tmp
    #pushd tmp
    #%{jar} xf ../output/extras/tomcat-juli.jar
    #%{jar} xf $(build-classpath commons-logging-adapters)
    #%{jar} cf ../output/extras/tomcat-juli.jar *
    #popd
    #rm -r tmp

    # dist generation
    %{ant} -Dbase.path="." \
        -Dbuild.compiler="modern" \
        -Dcommons-collections.jar="$(build-classpath commons-collections-eap6)" \
        -Dcommons-daemon.jar="$(build-classpath commons-daemon-eap6)" \
        -Dcommons-daemon.jsvc.tar.gz=../jsvc.tar.gz \
        -Djasper-jdt.jar="jasper-jdt.jar" \
        -Djdt.jar="jasper-jdt.jar" \
        -Dtomcat-dbcp.jar="tomcat-dbcp.jar" \
        -Dtomcat-native.tar.gz="" \
        -Dversion="%{version}" \
		  -Dversion.patch="Red Hat EWS" \
        -Dversion.build="%{micro_version}-%{release}" \
        -Dskip.installer=true -f dist.xml

    # remove some jars that we'll replace with symlinks later
    #%{__rm} output/build/bin/commons-daemon.jar \
     %{__rm} output/build/lib/jasper-jdt.jar
	  %{__rm} output/build/lib/catalina-ha.jar
	  %{__rm} output/build/lib/tomcat-dbcp.jar
#	  %{__rm} output/build/lib/catalina-tribes.jar
     %{__rm} output/extras/tomcat-juli-adapters.jar

    # make modification in the zip
	 echo Zips
    %if %with zips
    %{__mkdir_p} tmp
    pushd tmp
    # add jsvc.tar.gz to src.zip
    unzip -q ../output/release/v%{version}/src/apache-tomcat-%{version}-src.zip
#    cp %{SOURCE8} apache-tomcat-%{version}-src/jsvc.tar.gz
    cp $(build-classpath commons-daemon-eap6) apache-tomcat-%{version}-src/commons-daemon.jar
    cp $(build-classpath commons-collections-eap6) apache-tomcat-%{version}-src/commons-collections-eap6.jar
    rm ../output/release/v%{version}/src/apache-tomcat-%{version}-src.zip
#JBPAPP-3654 Last chance to get rid of any junk
    find apache-tomcat-%{version}-src -name "*.orig" | xargs -t %{__rm} -f
    zip -q -r ../output/release/v%{version}/src/apache-tomcat-%{version}-src.zip \
       apache-tomcat-%{version}-src
    rm -fr *

    # binary Zip
    cat > README.CVE-2007-1355.tomcat6 << EOF
<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.0 Transitional//EN">
<HTML><HEAD><TITLE>Examples Removed</TITLE>
<META http-equiv=Content-Type content="text/html">
</HEAD>
<BODY>
<P>
<H>Note: The following files have been removed due to CVE-2007-1355:

</P>
<P>
tomcat6/webapps/examples/servlets/*
</P>
<P>
tomcat6/webapps/examples/jsp/*
</P>
<P>
tomcat6/webapps/docs/appdev/sample/*
</P>
</H>
</BODY></HTML>
EOF

    unzip -q ../output/release/v%{version}/bin/apache-tomcat-%{version}.zip
    #create zip for QE to run examples
    zip -q -r ../output/release/v%{version}/bin/apache-tomcat-%{version}-examples.zip \
         apache-tomcat-%{version}/webapps/examples/servlets/* apache-tomcat-%{version}/webapps/examples/jsp/* \
         apache-tomcat-%{version}/webapps/examples/WEB-INF apache-tomcat-%{version}/webapps/docs/appdev/sample/*
    %{__rm} -r apache-tomcat-%{version}/webapps/examples/servlets/*
    %{__rm} -r apache-tomcat-%{version}/webapps/examples/jsp/*
    %{__rm} -r apache-tomcat-%{version}/webapps/examples/WEB-INF
    %{__rm} -r apache-tomcat-%{version}/webapps/docs/appdev/sample/*
    #JBPAPP-3659
    %{__rm} -r apache-tomcat-%{version}/webapps/docs/tribes
	#JBPAPP-9557
	%{__rm} apache-tomcat-%{version}/lib/catalina-ha.jar
	%{__rm} apache-tomcat-%{version}/lib/tomcat-dbcp.jar

    cp -pr README.CVE-2007-1355.tomcat6 apache-tomcat-%{version}/webapps/examples/servlets/index.html
    cp -pr README.CVE-2007-1355.tomcat6 apache-tomcat-%{version}/webapps/examples/jsp/index.html
    cp -pr README.CVE-2007-1355.tomcat6 apache-tomcat-%{version}/webapps/docs/appdev/sample/index.html
    chmod 755 apache-tomcat-%{version}/bin/*sh
    sed -i -e 's/\"$_RUNJAVA\"/$_RUNJAVA/g' apache-tomcat-%{version}/bin/catalina.sh \
       apache-tomcat-%{version}/bin/tool-wrapper.sh
    %{__mkdir_p} apache-tomcat-%{version}/extras

    # On RHEL-6 the signed JARs are on a different place
    #export JPP_SIGNED=2

    (cd apache-tomcat-%{version}/extras; ln -sf $(build-classpath log4j) . )
    %{__cp} -p %{SOURCE9} apache-tomcat-%{version}/extras/log4j.properties
	 #%{__cp} -pr ../output/extras/tomcat-juli-adapters.jar apache-tomcat-%{version}/extras/
	
	# Copy the EWS2 libraries
	 %{__cp} -p $(build-classpath commons-daemon-eap6) apache-tomcat-%{version}/bin/commons-daemon.jar
	 %{__cp} -p $(build-classpath commons-collections-eap6) apache-tomcat-%{version}/lib/commons-collections.jar
	 %{__cp} -p $(build-classpath commons-dbcp-eap6) apache-tomcat-%{version}/lib/commons-dbcp.jar
	 %{__cp} -p $(build-classpath commons-pool-eap6) apache-tomcat-%{version}/lib/commons-pool.jar
	 %{__cp} -p $(build-classpath commons-logging-adapters) apache-tomcat-%{version}/lib/commons-logging-adapters.jar
	 %{__cp} -p $(build-classpath commons-logging-api) apache-tomcat-%{version}/lib/commons-logging-api.jar
	 # Replace the existing jdt jar with ecj3 as done for the rpms
	 %{__cp} -p $(build-classpath ecj3) apache-tomcat-%{version}/lib/jasper-jdt.jar
    #%{__rm} apache-tomcat-%{version}/extras/tomcat-juli-adapters.jar

    %{__rm} ../output/release/v%{version}/bin/apache-tomcat-%{version}.zip
#    %if %with_signing
#     cp %{SOURCE99} .
#     ./sign-unsigned-jars jbosscodesign2009 .
#     %{__rm} sign-unsigned-jars
#    %endif
#JBPAPP-3654 Last chance to get rid of any junk
	 find apache-tomcat-%{version} -name "*.orig" | xargs -t %{__rm} -f

    zip -q -r ../output/release/v%{version}/bin/apache-tomcat-%{version}.zip apache-tomcat-%{version}/
    %{__rm} -fr apache-tomcat-%{version}/extras
    popd
    %{__rm} -fr tmp
    %endif

%install
%{__rm} -rf $RPM_BUILD_ROOT
# build initial path structure
%{__install} -d -m 0755 ${RPM_BUILD_ROOT}%{_bindir}
%{__install} -d -m 0755 ${RPM_BUILD_ROOT}%{_sbindir}
%{__install} -d -m 0755 ${RPM_BUILD_ROOT}%{_javadocdir}/%{name}-%{version}
%{__ln_s} %{name}-%{version} ${RPM_BUILD_ROOT}%{_javadocdir}/%{name}
%{__install} -d -m 0755 ${RPM_BUILD_ROOT}%{_initrddir}
%{__install} -d -m 0755 ${RPM_BUILD_ROOT}%{_sysconfdir}/logrotate.d
%{__install} -d -m 0755 ${RPM_BUILD_ROOT}%{_sysconfdir}/sysconfig
%{__install} -d -m 0775 ${RPM_BUILD_ROOT}%{appdir}
%{__install} -d -m 0775 ${RPM_BUILD_ROOT}%{bindir}
%{__install} -d -m 0775 ${RPM_BUILD_ROOT}%{confdir}
%{__install} -d -m 0775 ${RPM_BUILD_ROOT}%{confdir}/Catalina/localhost
# for SELinux
%{__install} -d -m 0775 ${RPM_BUILD_ROOT}%{confdir}/selinux/packages/%{name}
%{__install} -d -m 0755 ${RPM_BUILD_ROOT}%{libdir}
%{__install} -d -m 0755 ${RPM_BUILD_ROOT}%{logdir}
/bin/touch ${RPM_BUILD_ROOT}%{logdir}/catalina.out
%{__install} -d -m 0775 ${RPM_BUILD_ROOT}%{homedir}
%{__install} -d -m 0775 ${RPM_BUILD_ROOT}%{tempdir}
%{__install} -d -m 0775 ${RPM_BUILD_ROOT}%{workdir}
# move things into place
pushd %{packdname}/output/build
    %{__cp} -a bin/*.{jar,xml} ${RPM_BUILD_ROOT}%{bindir}
    %{__cp} -a conf/*.{policy,properties,xml} ${RPM_BUILD_ROOT}%{confdir}
    %{__cp} -a lib/*.jar ${RPM_BUILD_ROOT}%{libdir}
    %{__cp} -a webapps/* ${RPM_BUILD_ROOT}%{appdir}
# For SELinux
	 echo "SELinux Policy Build"
	 %{__mkdir_p} tmp/selinux
	 pushd tmp/selinux
	 %{__cp} -p %{SOURCE11} %{name}.te
	 %{__cp} -p %{SOURCE12} %{name}.if
	 %{__cp} -p %{SOURCE13} %{name}.fc
	 make -f %{_datadir}/selinux/devel/Makefile
	 %{__install} -p -m 0644 -D %{name}.pp ${RPM_BUILD_ROOT}%{confdir}/selinux/packages/%{name}/%{name}.pp
	 %{__install} -p -m 0644 -D %{name}.te ${RPM_BUILD_ROOT}%{confdir}/selinux/packages/%{name}/%{name}.te
	 %{__install} -p -m 0644 -D %{name}.if ${RPM_BUILD_ROOT}%{confdir}/selinux/packages/%{name}/%{name}.if
	 %{__install} -p -m 0644 -D %{name}.fc ${RPM_BUILD_ROOT}%{confdir}/selinux/packages/%{name}/%{name}.fc
	 popd
# clean up
	 %{__rm} -rf tmp/selinux
    %{__rm} -r $RPM_BUILD_ROOT%{appdir}/examples/servlets/*
    %{__rm} -r $RPM_BUILD_ROOT%{appdir}/examples/jsp/*
    %{__rm} -r $RPM_BUILD_ROOT%{appdir}/examples/WEB-INF
    %{__rm} -r $RPM_BUILD_ROOT%{appdir}/docs/appdev/sample/*
    cp -p ../../../README.CVE-2007-1355 $RPM_BUILD_ROOT%{appdir}/examples/servlets/index.html
    cp -p ../../../README.CVE-2007-1355 $RPM_BUILD_ROOT%{appdir}/examples/jsp/index.html
    cp -p ../../../README.CVE-2007-1355 $RPM_BUILD_ROOT%{appdir}/docs/appdev/sample/index.html
popd
# On RHEL-6 the signed JARs are on a different place
#export JPP_SIGNED=2
%if %with ws
# ws
%{__cp} -p %{packdname}/output/extras/catalina-ws.jar ${RPM_BUILD_ROOT}%{libdir}/catalina-ws.jar
%{__ln_s} $(build-classpath axis/jaxrpc) ${RPM_BUILD_ROOT}%{libdir}/jaxrpc.jar
%{__ln_s} $(build-classpath wsdl4j/wsdl4j16) ${RPM_BUILD_ROOT}%{libdir}/wsdl4j.jar
%endif
# juli

#%{__cp} -p %{packdname}/output/extras/tomcat-juli-adapters.jar ${RPM_BUILD_ROOT}%{libdir}/tomcat-juli-adapters.jar
#jbpapp-6698
#%{__cp} $(build-classpath commons-logging-tomcat-juli) ${RPM_BUILD_ROOT}%{libdir}/commons-logging-tomcat-juli.jar
%{__cp} -p $(build-classpath commons-daemon-eap6) ${RPM_BUILD_ROOT}%{bindir}/commons-daemon.jar

#copy log4j.jar over as it is in base
#%{__ln_s} $(build-classpath log4j) ${RPM_BUILD_ROOT}%{libdir}/log4j.jar
%{__cp} -p $(build-classpath log4j) ${RPM_BUILD_ROOT}%{libdir}/log4j.jar
%{__cp} -p %{SOURCE9} ${RPM_BUILD_ROOT}%{confdir}/log4j.properties
(cd ${RPM_BUILD_ROOT}%{libdir} && %{__ln_s} %{confdir}/log4j.properties log4j.properties)

# javadoc
pushd %{packdname}/output/dist/webapps
    %{__cp} -a docs/api/* ${RPM_BUILD_ROOT}%{_javadocdir}/%{name}-%{version}
popd
#JBPAPP-3659
%{__rm} -r ${RPM_BUILD_ROOT}%{_javadocdir}/%{name}-%{version}/org/apache/catalina/tribes
%{__sed} -e "s|\@\@\@TCHOME\@\@\@|%{homedir}|g" \
         -e "s|\@\@\@TCTEMP\@\@\@|%{tempdir}|g" \
         -e "s|\@\@\@LIBDIR\@\@\@|%{_libdir}|g" %{SOURCE1} \
    > ${RPM_BUILD_ROOT}%{confdir}/%{name}.conf
%{__sed} -e "s|\@\@\@TCHOME\@\@\@|%{homedir}|g" \
         -e "s|\@\@\@TCTEMP\@\@\@|%{tempdir}|g" \
         -e "s|\@\@\@LIBDIR\@\@\@|%{_libdir}|g" %{SOURCE3} \
    > ${RPM_BUILD_ROOT}%{_sysconfdir}/sysconfig/%{name}
%{__install} -m 0755 %{SOURCE2} \
    ${RPM_BUILD_ROOT}%{_initrddir}/%{name}
%{__install} -m 0755 %{SOURCE4} \
    ${RPM_BUILD_ROOT}%{_sbindir}/%{name}
%{__ln_s} %{name} ${RPM_BUILD_ROOT}%{_sbindir}/d%{name}
%{__sed} -e "s|\@\@\@TCLOG\@\@\@|%{logdir}|g" %{SOURCE5} \
    > ${RPM_BUILD_ROOT}%{_sysconfdir}/logrotate.d/%{name}
%{__sed} -e "s|\@\@\@TCHOME\@\@\@|%{homedir}|g" \
         -e "s|\@\@\@TCTEMP\@\@\@|%{tempdir}|g" \
         -e "s|\@\@\@LIBDIR\@\@\@|%{_libdir}|g" %{SOURCE6} \
    > ${RPM_BUILD_ROOT}%{_bindir}/%{name}-digest
%{__sed} -e "s|\@\@\@TCHOME\@\@\@|%{homedir}|g" \
         -e "s|\@\@\@TCTEMP\@\@\@|%{tempdir}|g" \
         -e "s|\@\@\@LIBDIR\@\@\@|%{_libdir}|g" %{SOURCE7} \
    > ${RPM_BUILD_ROOT}%{_bindir}/%{name}-tool-wrapper
pushd ${RPM_BUILD_ROOT}%{_javadir}
    # create jsp and servlet and el API symlinks
    %{__mv} %{name}/jsp-api.jar %{name}-jsp-%{jspspec}-api-%{version}.jar
    %{__mv} %{name}/servlet-api.jar %{name}-servlet-%{servletspec}-api-%{version}.jar
    %{__mv} %{name}/el-api.jar %{name}-el-%{elspec}-api-%{version}.jar
    /bin/touch el_1_0_api.jar
    /bin/touch el-api.jar
    /bin/touch jsp.jar
    /bin/touch servlet.jar
    %{__ln_s} %{name}-jsp-%{jspspec}-api-%{version}.jar %{name}-jsp-%{jspspec}-api.jar
    %{__ln_s} %{name}-servlet-%{servletspec}-api-%{version}.jar %{name}-servlet-%{servletspec}-api.jar
    %{__ln_s} %{name}-el-%{elspec}-api-%{version}.jar %{name}-el-%{elspec}-api.jar
popd
pushd ${RPM_BUILD_ROOT}%{libdir}
    # fix up jars to include version number
# replace with commons-dbcp, commons-pool, and commons-collections
#	%{__rm} tomcat-dbcp.jar 
#	%{__rm} catalina-ha.jar
#	%{__rm} catalina-tribes.jar
    for i in *.jar; do
        j="$(echo $i | %{__sed} -e 's,\.jar$,,')"
        %{__mv} ${j}.jar ${j}-%{version}.jar
        %{__ln_s} ${j}-%{version}.jar ${j}.jar
    done
    # symlink JSP and servlet and el API jars
    %{__ln_s} ../%{name}-jsp-%{jspspec}-api-%{version}.jar .
    %{__ln_s} ../%{name}-servlet-%{servletspec}-api-%{version}.jar .
    %{__ln_s} ../%{name}-el-%{elspec}-api-%{version}.jar .
# Copy to avoid broken symlinks. Note there is no problem with
# commons-logging-api
	%{__cp} -p $(build-classpath commons-dbcp-eap6) commons-dbcp.jar
	%{__cp} -p $(build-classpath commons-pool-eap6) commons-pool.jar
	%{__cp} -p $(build-classpath commons-collections-eap6) commons-collections.jar 
	%{__cp} -p $(build-classpath ecj3) jasper-jdt.jar
# log4j is copied because it is in base rhel
	%{__cp} $(build-classpath commons-logging-api) .
	%{__cp} -p $(build-classpath commons-logging-adapters) .
	%{__cp} -p $(build-classpath log4j) .
	 
popd

pushd ${RPM_BUILD_ROOT}%{bindir}
    # fix up jars to include version number
    for i in *.jar; do
        j="$(echo $i | %{__sed} -e 's,\.jar$,,')"
        %{__mv} ${j}.jar ${j}-%{version}.jar
        %{__ln_s} ${j}-%{version}.jar ${j}.jar
    done
popd
# symlink to the FHS locations where we've installed things
pushd ${RPM_BUILD_ROOT}%{homedir}
    %{__ln_s} %{appdir} webapps
    %{__ln_s} %{confdir} conf
    %{__ln_s} %{libdir} lib
    %{__ln_s} %{logdir} logs
    %{__ln_s} %{tempdir} temp
    %{__ln_s} %{workdir} work
popd

# install sample webapp
%{__mkdir_p} ${RPM_BUILD_ROOT}%{appdir}/sample
CURDIR="`pwd`"
pushd ${RPM_BUILD_ROOT}%{appdir}/sample
%{jar} xf "${CURDIR}/%{packdname}/output/build/webapps/docs/appdev/sample/sample.war"
popd

%if %with zips
%{__mkdir_p} ${RPM_BUILD_ROOT}%{_javadir}/jbossas-fordev
# Copy over source zip for the src-zip subpackage
%{__install} -p -m 0644 %{packdname}/output/release/v%{version}/src/apache-tomcat-%{version}-src.zip ${RPM_BUILD_ROOT}%{_javadir}/jbossas-fordev/tomcat6-%{version}-src.zip
# Copy over zip for the zip subpackage
%{__install} -p -m 0644 %{packdname}/output/release/v%{version}/bin/apache-tomcat-%{version}-examples.zip ${RPM_BUILD_ROOT}%{_javadir}/jbossas-fordev/tomcat6-%{version}-examples.zip
%{__install} -p -m 0644 %{packdname}/output/release/v%{version}/bin/apache-tomcat-%{version}.zip ${RPM_BUILD_ROOT}%{_javadir}/jbossas-fordev/tomcat6-%{version}.zip
%endif


%if %with repolib
	install -d -m 755 $RPM_BUILD_ROOT%{repodir}
	install -d -m 755 $RPM_BUILD_ROOT%{repodirlib}
	install -p -m 0644 %{SOURCE10} $RPM_BUILD_ROOT%{repodir}/component-info.xml
	sed -i 's/@VERSION@/%{version}-brew/g' $RPM_BUILD_ROOT%{repodir}/component-info.xml
    tag=`echo %{name}-%{version}-%{release} | sed 's|\.|_|g'`
    sed -i "s/@TAG@/$tag/g" $RPM_BUILD_ROOT%{repodir}/component-info.xml

	install -d -m 755 $RPM_BUILD_ROOT%{repodirsrc}
	install -p -m 0644 %{SOURCE0} $RPM_BUILD_ROOT%{repodirsrc}
	install -p -m 0644 %{SOURCE1} $RPM_BUILD_ROOT%{repodirsrc}
	install -p -m 0644 %{SOURCE2} $RPM_BUILD_ROOT%{repodirsrc}
	install -p -m 0644 %{SOURCE3} $RPM_BUILD_ROOT%{repodirsrc}
	install -p -m 0644 %{SOURCE4} $RPM_BUILD_ROOT%{repodirsrc}
	install -p -m 0644 %{SOURCE5} $RPM_BUILD_ROOT%{repodirsrc}
	install -p -m 0644 %{SOURCE6} $RPM_BUILD_ROOT%{repodirsrc}
	install -p -m 0644 %{SOURCE7} $RPM_BUILD_ROOT%{repodirsrc}
#	install -p -m 0644 %{SOURCE8} $RPM_BUILD_ROOT%{repodirsrc}
	install -p -m 0644 %{SOURCE9} $RPM_BUILD_ROOT%{repodirsrc}
	install -p -m 0644 %{SOURCE11} $RPM_BUILD_ROOT%{repodirsrc}
	install -p -m 0644 %{SOURCE12} $RPM_BUILD_ROOT%{repodirsrc}
	install -p -m 0644 %{SOURCE13} $RPM_BUILD_ROOT%{repodirsrc}

	install -p -m 0644 %{PATCH0} $RPM_BUILD_ROOT%{repodirsrc}
	install -p -m 0644 %{PATCH1} $RPM_BUILD_ROOT%{repodirsrc}
	install -p -m 0644 %{PATCH2} $RPM_BUILD_ROOT%{repodirsrc}
	install -p -m 0644 %{PATCH3} $RPM_BUILD_ROOT%{repodirsrc}
	install -p -m 0644 %{PATCH4} $RPM_BUILD_ROOT%{repodirsrc}
	install -p -m 0644 %{PATCH5} $RPM_BUILD_ROOT%{repodirsrc}
#	install -p -m 0644 %{PATCH6} $RPM_BUILD_ROOT%{repodirsrc}
#	install -p -m 0644 %{PATCH7} $RPM_BUILD_ROOT%{repodirsrc}
#	install -p -m 0644 %{PATCH8} $RPM_BUILD_ROOT%{repodirsrc}
#	install -p -m 0644 %{PATCH9} $RPM_BUILD_ROOT%{repodirsrc}
	install -p -m 0644 %{PATCH10} $RPM_BUILD_ROOT%{repodirsrc}
	install -p -m 0644 %{PATCH11} $RPM_BUILD_ROOT%{repodirsrc}
	install -p -m 0644 %{PATCH12} $RPM_BUILD_ROOT%{repodirsrc}
	install -p -m 0644 %{PATCH13} $RPM_BUILD_ROOT%{repodirsrc}
	install -p -m 0644 %{PATCH14} $RPM_BUILD_ROOT%{repodirsrc}
	install -p -m 0644 %{PATCH15} $RPM_BUILD_ROOT%{repodirsrc}
	install -p -m 0644 %{PATCH16} $RPM_BUILD_ROOT%{repodirsrc}
	install -p -m 0644 %{PATCH17} $RPM_BUILD_ROOT%{repodirsrc}
	install -p -m 0644 %{PATCH18} $RPM_BUILD_ROOT%{repodirsrc}

#	cp -p $RPM_BUILD_ROOT%{libdir}/catalina-ant.jar $RPM_BUILD_ROOT%{repodirlib}
#	cp -p $RPM_BUILD_ROOT%{libdir}/catalina.jar $RPM_BUILD_ROOT%{repodirlib}
#	cp -p $RPM_BUILD_ROOT%{_javadir}/%{name}-el-%{elspec}-api.jar $RPM_BUILD_ROOT%{repodirlib}/el-api.jar
#	cp -p $RPM_BUILD_ROOT%{libdir}/jasper.jar $RPM_BUILD_ROOT%{repodirlib}
#	cp -p $RPM_BUILD_ROOT%{libdir}/jasper-el.jar $RPM_BUILD_ROOT%{repodirlib}
#	cp -p $RPM_BUILD_ROOT%{libdir}/jasper-jdt.jar $RPM_BUILD_ROOT%{repodirlib}
#	cp -p $RPM_BUILD_ROOT%{_javadir}/%{name}-jsp-%{jspspec}-api.jar $RPM_BUILD_ROOT%{repodirlib}/jsp-api.jar
#    cp -p $RPM_BUILD_ROOT%{_javadir}/%{name}-servlet-%{servletspec}-api.jar $RPM_BUILD_ROOT%{repodirlib}/servlet-api.jar
#    cp -p $RPM_BUILD_ROOT%{libdir}/tomcat-coyote.jar $RPM_BUILD_ROOT%{repodirlib}
#    cp -p $RPM_BUILD_ROOT%{libdir}/tomcat-i18n-es.jar $RPM_BUILD_ROOT%{repodirlib}
#    cp -p $RPM_BUILD_ROOT%{libdir}/tomcat-i18n-fr.jar $RPM_BUILD_ROOT%{repodirlib}
#    cp -p $RPM_BUILD_ROOT%{libdir}/tomcat-i18n-ja.jar $RPM_BUILD_ROOT%{repodirlib}

    sed -i -e 's/@MAVEN.DEPLOY.VERSION@/%{version}/g' apache-tomcat-%{version}-src/res/maven/*.pom
    %{_bindir}/mvn-jpp deploy:deploy-file -Dversion=%{version} -Dpackaging=jar -DartifactId=catalina -Dfile=apache-tomcat-%{version}-src/output/build/lib/catalina.jar -DpomFile=apache-tomcat-%{version}-src/res/maven/catalina.pom -Durl=file://%{buildroot}/usr/share/java/repository.jboss.com/maven2-brew/ -DrepositoryId=jboss-releases
    %{_bindir}/mvn-jpp deploy:deploy-file -Dversion=%{version} -Dpackaging=jar -DartifactId=coyote -Dfile=apache-tomcat-%{version}-src/output/build/lib/tomcat-coyote.jar -DpomFile=apache-tomcat-%{version}-src/res/maven/coyote.pom -Durl=file://%{buildroot}/usr/share/java/repository.jboss.com/maven2-brew/ -DrepositoryId=jboss-releases
    %{_bindir}/mvn-jpp deploy:deploy-file -Dversion=%{version} -Dpackaging=jar -DartifactId=el-api -Dfile=apache-tomcat-%{version}-src/output/build/lib/el-api.jar -DpomFile=apache-tomcat-%{version}-src/res/maven/el-api.pom -Durl=file://%{buildroot}/usr/share/java/repository.jboss.com/maven2-brew/ -DrepositoryId=jboss-releases
    %{_bindir}/mvn-jpp deploy:deploy-file -Dversion=%{version} -Dpackaging=jar -DartifactId=jasper-el -Dfile=apache-tomcat-%{version}-src/output/build/lib/jasper-el.jar -DpomFile=apache-tomcat-%{version}-src/res/maven/jasper-el.pom -Durl=file://%{buildroot}/usr/share/java/repository.jboss.com/maven2-brew/ -DrepositoryId=jboss-releases
    %{_bindir}/mvn-jpp deploy:deploy-file -Dversion=%{version} -Dpackaging=jar -DartifactId=jasper -Dfile=apache-tomcat-%{version}-src/output/build/lib/jasper.jar -DpomFile=apache-tomcat-%{version}-src/res/maven/jasper.pom -Durl=file://%{buildroot}/usr/share/java/repository.jboss.com/maven2-brew/ -DrepositoryId=jboss-releases
    %{_bindir}/mvn-jpp deploy:deploy-file -Dversion=%{version} -Dpackaging=jar -DartifactId=jsp-api -Dfile=apache-tomcat-%{version}-src/output/build/lib/jsp-api.jar -DpomFile=apache-tomcat-%{version}-src/res/maven/jsp-api.pom -Durl=file://%{buildroot}/usr/share/java/repository.jboss.com/maven2-brew/ -DrepositoryId=jboss-releases
    %{_bindir}/mvn-jpp deploy:deploy-file -Dversion=%{version} -Dpackaging=jar -DartifactId=servlet-api -Dfile=apache-tomcat-%{version}-src/output/build/lib/servlet-api.jar -DpomFile=apache-tomcat-%{version}-src/res/maven/servlet-api.pom -Durl=file://%{buildroot}/usr/share/java/repository.jboss.com/maven2-brew/ -DrepositoryId=jboss-releases
#    %{_bindir}/mvn-jpp deploy:deploy-file -Dversion=%{version} -Dpackaging=jar -DartifactId=juli -Dfile=apache-tomcat-%{version}-src/output/build/bin/tomcat-juli.jar -DpomFile=apache-tomcat-%{version}-src/res/maven/juli.pom -Durl=file://%{buildroot}/usr/share/java/repository.jboss.com/maven2-brew/ -DrepositoryId=jboss-releases
    %{_bindir}/mvn-jpp deploy:deploy-file -Dversion=%{version} -Dpackaging=jar -DartifactId=annotations-api -Dfile=apache-tomcat-%{version}-src/output/build/lib/annotations-api.jar -DpomFile=apache-tomcat-%{version}-src/res/maven/annotations-api.pom -Durl=file://%{buildroot}/usr/share/java/repository.jboss.com/maven2-brew/ -DrepositoryId=jboss-releases

%endif

%clean
%{__rm} -rf $RPM_BUILD_ROOT

%pre
# add the tomcat user and group
%{_sbindir}/groupadd -g %{tcuid} -r tomcat 2>/dev/null || :
%{_sbindir}/useradd -c "Apache Tomcat" -u %{tcuid} -g tomcat \
    -s /sbin/nologin -r -d %{homedir} tomcat 2>/dev/null || :

%post
# install but don't activate
/sbin/chkconfig --add %{name}
# For SELinux
if [ $1 -eq 1 ] && [ -x "%{_sbindir}/selinuxenabled" ]; then
   %{_sbindir}/semanage port -a -t %{name}_port_t -p tcp 8080 >/dev/null 2>&1 ||:
   %{_sbindir}/semanage port -a -t %{name}_port_t -p tcp 8005 >/dev/null 2>&1 ||:
   %{_sbindir}/semanage port -a -t %{name}_port_t -p tcp 8009 >/dev/null 2>&1 ||:
   %{_sbindir}/semanage port -a -t %{name}_port_t -p tcp 8443 >/dev/null 2>&1 ||:
   %{_sbindir}/semodule -i %{}/selinux/packages/%{name}/%{name}.pp 2>/dev/null ||:
fi

%post el-1.0-api
# On RHEL-6 the signed JARs are on a different place
#export JPP_SIGNED=2

%{_sbindir}/update-alternatives --install %{_javadir}/el-api.jar el_api %{_javadir}/%{name}-el-%{elspec}-api.jar 10000
%{_sbindir}/update-alternatives --install %{_javadir}/el_1_0_api.jar el_1_0_api %{_javadir}/%{name}-el-%{elspec}-api.jar 10000

%preun el-1.0-api
if [ "$1" = "0" ]; then
    %{_sbindir}/update-alternatives --remove el_api %{_javadir}/%{name}-el-%{elspec}-api.jar
    %{_sbindir}/update-alternatives --remove el_1_0_api %{_javadir}/%{name}-el-%{elspec}-api.jar
fi

%pre javadoc
%{__rm} -rf %{_javadocdir}/%{name}

%post jsp-%{jspspec}-api
# On RHEL-6 the signed JARs are on a different place
#export JPP_SIGNED=2

%{_sbindir}/update-alternatives --install %{_javadir}/jsp.jar jsp \
    %{_javadir}/%{name}-jsp-%{jspspec}-api.jar 20100

%post servlet-%{servletspec}-api
# On RHEL-6 the signed JARs are on a different place
#export JPP_SIGNED=2

%{_sbindir}/update-alternatives --install %{_javadir}/servlet.jar servlet \
    %{_javadir}/%{name}-servlet-%{servletspec}-api.jar 20500

%preun
# clean tempdir and workdir on removal or upgrade
%{__rm} -rf %{workdir}/* %{tempdir}/*
if [ "$1" = "0" ]; then
    %{_initrddir}/%{name} stop >/dev/null 2>&1
    /sbin/chkconfig --del %{name}
fi
# For SELinux
if [ $1 -eq 0 ] && [ -x "%{_sbindir}/selinuxenabled" ]; then
   %{_sbindir}/semanage port -d -t %{name}_port_t -p tcp 8080 >/dev/null 2>&1 ||:
   %{_sbindir}/semanage port -d -t %{name}_port_t -p tcp 8005 >/dev/null 2>&1 ||:
   %{_sbindir}/semanage port -d -t %{name}_port_t -p tcp 8009 >/dev/null 2>&1 ||:
   %{_sbindir}/semanage port -d -t %{name}_port_t -p tcp 8443 >/dev/null 2>&1 ||:
   %{_sbindir}/semodule -r %{name} 2>/dev/null ||:
fi

%postun jsp-%{jspspec}-api
if [ "$1" = "0" ]; then
    %{_sbindir}/update-alternatives --remove jsp \
        %{_javadir}/%{name}-jsp-%{jspspec}-api.jar
fi

%postun servlet-%{servletspec}-api
if [ "$1" = "0" ]; then
    %{_sbindir}/update-alternatives --remove servlet \
        %{_javadir}/%{name}-servlet-%{servletspec}-api.jar
fi

%files
%defattr(0664,root,root,0775)
%doc %{packdname}/{LICENSE,NOTICE,RELEASE-NOTES,*.txt}
%attr(0755,root,root) %{_bindir}/%{name}-digest
%attr(0755,root,root) %{_bindir}/%{name}-tool-wrapper
%attr(0755,root,root) %{_sbindir}/d%{name}
%attr(0755,root,root) %{_sbindir}/%{name}
%attr(0755,root,root) %{_initrddir}/%{name}
%attr(0644,root,root) %config(noreplace) %{_sysconfdir}/logrotate.d/%{name}
%config(noreplace) %{_sysconfdir}/sysconfig/%{name}
%attr(0775,root,tomcat) %dir %{basedir}
%attr(0775,tomcat,root) %dir %{appdir}
%attr(0775,tomcat,root) %dir %{confdir}
%attr(0775,tomcat,root) %dir %{confdir}/Catalina
%attr(0775,tomcat,root) %dir %{confdir}/Catalina/localhost
%attr(0664,tomcat,root) %dir %{confdir}/selinux
%attr(0664,tomcat,root) %dir %{confdir}/selinux/packages
%attr(0664,tomcat,root) %dir %{confdir}/selinux/packages/%{name}
%attr(0664,tomcat,root) %config(noreplace) %{confdir}/selinux/packages/%{name}/%{name}.pp
%attr(0664,tomcat,root) %config(noreplace) %{confdir}/selinux/packages/%{name}/%{name}.fc
%attr(0664,tomcat,root) %config(noreplace) %{confdir}/selinux/packages/%{name}/%{name}.if
%attr(0664,tomcat,root) %config(noreplace) %{confdir}/selinux/packages/%{name}/%{name}.te
%attr(0664,tomcat,tomcat) %config(noreplace) %{confdir}/%{name}.conf
%attr(0664,tomcat,tomcat) %config(noreplace) %{confdir}/catalina.policy
%attr(0664,tomcat,tomcat) %config(noreplace) %{confdir}/catalina.properties
%attr(0664,tomcat,tomcat) %config(noreplace) %{confdir}/logging.properties
%attr(0664,tomcat,tomcat) %config(noreplace) %{confdir}/context.xml
%attr(0664,tomcat,tomcat) %config(noreplace) %{confdir}/server.xml
%attr(0664,tomcat,tomcat) %config(noreplace) %{confdir}/tomcat-users.xml
%attr(0664,tomcat,tomcat) %config(noreplace) %{confdir}/web.xml
%attr(0775,tomcat,root) %dir %{cachedir}
%attr(0775,tomcat,root) %dir %{tempdir}
%attr(0775,tomcat,root) %dir %{workdir}
%attr(0755,tomcat,root) %dir %{logdir}
%attr(0664,tomcat,tomcat) %{logdir}/catalina.out
%attr(0775,root,tomcat) %{homedir}/conf
%dir %{homedir}
%{bindir}/bootstrap-%{version}.jar
%{bindir}/bootstrap.jar
%{bindir}/catalina-tasks.xml
%{bindir}/commons-daemon.jar
%{bindir}/commons-daemon-%{version}.jar
%{bindir}/tomcat-juli.jar
%{bindir}/tomcat-juli-%{version}.jar
%{homedir}/lib
%{homedir}/logs
%{homedir}/temp
%{homedir}/webapps
%{homedir}/work

%files admin-webapps
%defattr(0644,root,root,0755)
%{appdir}/host-manager
%{appdir}/manager

%if %with ws
%files ws
%defattr(0644,root,root,0755)
%{libdir}/catalina-ws-%{version}.jar
%{libdir}/catalina-ws.jar
%{libdir}/jaxrpc-%{version}.jar
%{libdir}/jaxrpc.jar
%{libdir}/wsdl4j-%{version}.jar
%{libdir}/wsdl4j.jar
%endif

%files docs-webapp
%defattr(0644,root,root,0755)
%{appdir}/docs

%files el-%{elspec}-api
%defattr(0644,root,root,0755)
%{_javadir}*/%{name}-el-%{elspec}-api-%{version}.jar
%{_javadir}*/%{name}-el-%{elspec}-api.jar
%{_javadir}*/%{name}/%{name}-el-%{elspec}-api-%{version}.jar
%ghost %{_javadir}*/el_1_0_api.jar
%ghost %{_javadir}*/el-api.jar

%files javadoc
%defattr(0644,root,root,0755)
%{_javadocdir}/%{name}-%{version}
%{_javadocdir}/%{name}

%files jsp-%{jspspec}-api
%defattr(0644,root,root,0755)
%{_javadir}*/%{name}-jsp-%{jspspec}-api-%{version}.jar
%{_javadir}*/%{name}-jsp-%{jspspec}-api.jar
%ghost %{_javadir}*/jsp.jar

%files log4j
%defattr(0644,root,root,0755)
%config(noreplace) %{confdir}/log4j.properties
%{libdir}/log4j.properties
%{libdir}/log4j-%{version}.jar
%{libdir}/log4j.jar

%files lib
%defattr(0644,root,root,0755)
%{libdir}/annotations-api-%{version}.jar
%{libdir}/annotations-api.jar
%{libdir}/catalina-%{version}.jar
%{libdir}/catalina-ant-%{version}.jar
%{libdir}/catalina-ant.jar
#%{libdir}/catalina-ha-%{version}.jar
#%{libdir}/catalina-ha.jar
%{libdir}/catalina.jar
%{libdir}/commons-collections.jar
%{libdir}/commons-dbcp.jar
%{libdir}/commons-pool.jar
%{libdir}/jasper-jdt.jar
%{libdir}/jasper-%{version}.jar
%{libdir}/jasper-el-%{version}.jar
%{libdir}/jasper-el.jar
%{libdir}/jasper.jar
%{libdir}/tomcat-coyote-%{version}.jar
%{libdir}/tomcat-coyote.jar
%{libdir}/tomcat-i18n-es-%{version}.jar
%{libdir}/tomcat-i18n-es.jar
%{libdir}/tomcat-i18n-fr-%{version}.jar
%{libdir}/tomcat-i18n-fr.jar
%{libdir}/tomcat-i18n-ja-%{version}.jar
%{libdir}/tomcat-i18n-ja.jar
%{libdir}/tomcat6-jsp-%{jspspec}-api-%{version}.jar
%{libdir}/tomcat6-servlet-%{servletspec}-api-%{version}.jar
%{libdir}/commons-logging-api.jar
%{libdir}/commons-logging-adapters.jar

%files servlet-%{servletspec}-api
%defattr(0644,root,root,0755)
%{_javadir}*/%{name}-servlet-%{servletspec}-api-%{version}.jar
%{_javadir}*/%{name}-servlet-%{servletspec}-api.jar
%ghost %{_javadir}*/servlet.jar

%files webapps
%defattr(0664,tomcat,root,0775)
%attr(0775,tomcat,root) %{appdir}/ROOT
%attr(0775,tomcat,root) %{appdir}/examples
%attr(0775,tomcat,root) %{appdir}/sample

%if %with zips
%files zip
%defattr(0644,root,root,0755)
%dir %{_javadir}*/jbossas-fordev
%{_javadir}*/jbossas-fordev/tomcat6-%{version}.zip
%{_javadir}*/jbossas-fordev/tomcat6-%{version}-examples.zip

%files src-zip
%defattr(0644,root,root,0755)
%dir %{_javadir}*/jbossas-fordev
%{_javadir}*/jbossas-fordev/tomcat6-%{version}-src.zip
%endif

%if %with repolib
%files repolib
%defattr(0644,root,root,0755)
%{_javadir}*/repository.jboss.com
%endif

%changelog
* Thu May 16 2013 David Knox <dknox@redhat.com> 0:6.0.35-33_patch_08
- Changed mvn-jpp deploy:deploy-file to use /usr/share/java versus
- /usr/share/java-signed. This build does not produce signed jars.
- Work was recommended by mikeb in rel-eng

* Wed May 15 2013 David Knox <dknox@redhat.com> 0:6.0.35-32_patch_07
- Related: rhbz#955982 Changed location of TOMCAT_LOG to /var/log where
- only root can write to it. Touching TOMCAT_LOG is no longer necessary

* Thu May 2 2013 David Knox <dknox@redhat.com> 0:6.0.35-31_patch_07
- Resolves: rhbz#955982 CVE-2013-1976 Improper TOMCAT_LOG
- management

* Wed Apr 17 2013 David Knox <dknox@redhat.com> 0:6.0.35-30_patch_06
- Resolves: rhbz 900779 Add address attribute to Server element
- of server.xml

* Wed Feb 6 2013 David Knox <dknox@redhat.com> 0:6.0.35-29_patch_06
- Rebuild patch for CVE-2012-4431 without extra debug logging

* Fri Jan 25 2013 David Knox <dknox@redhat.com> 0:6.0.35-28_patch_06
- Apply patches for 
- CVE-2012-4431 rhbz-883684 patchlevel 3
- CVE-2012-3439 rhbz-882015 patchlevel 4
- CVE-2012-2733 rhbz-881602 patchlevel 5
- CVE-2012-4534 rbhz-883694 patchlevel 6
- Incremented the patchlevel for each patch

* Tue Jan 15 2013 David Knox <dknox@redhat.com> 0:6.0.35-27_patch_02
- Rename patch for cve-2012-3546 as it applies to 6.0.35 versus 6.0.36

* Wed Jan 9 2013 David Knox <dknox@redhat.com> 0:6.0.35-26_patch_02
- Incremented patch number required because the previous was a
- security update

* Thu Dec 13 2012 Weinan Li <weli@redhat.com> 0:6.0.35-25_patch_01
- Patch for CVE-2012-3546

* Tue Oct 23 2012 David Knox <dknox@redhat.com> 0:6.0.35-24_patch_01
- Resolves: JBPAPP-10179 zip and rpm differences

* Wed Oct 10 2012 David Knox <dknox@redhat.com> 0:6.0.35-23_patch_01
- Resolves: JBPAPP-9557 - catalina-ha was still in the zip!

* Thu Oct 4 2012 David Knox <dknox@redhat.com> 0:6.0.35-22_patch_01
- Resolves: JBPAPP-10012 classes in multiple places (jars) in zip

* Mon Sep 24 2012 David Knox <dknox@redhat.com> 0:6.0.35-21_patch_01
- Resolves: JBPAPP-9725 JNDI lookup does not find datasource using
- Hibernate. Modified 9725 patch.

* Mon Sep 17 2012 David Knox <dknox@redhat.com> 0:6.0.35-20_patch_01
- WIP JBPAPP-9725 JNDI lookup does not find datasource using 
- Hibernate. Upstream patch does not work. Rebuilding for downstream
- products.

* Wed Sep 12 2012 David Knox <dknox@redhat.com> 0:6.0.35-19_patch_01
- Resolves: JBPAPP-9557 remove catalina-ha from both distros. JIRA
- indicates catalina-tribes also but it doesn't exist in this build

* Thu Aug 30 2012 David Knox <dknox@redhat.com> 0:6.0.35-18_patch_01
- Resolves: JBPAPP-9724 Rebuild to package correct commons,dbcp,pool libraries
- Resolves: JBPAPP-3749 Cannot resolve user database reference

* Thu Aug 9 2012 David Knox <dknox@redhat.com> 0:6.0.35-17_patch_01
- Fixed output from semodule to go to dev-null

* Wed Aug 1 2012 David Knox <dknox@redhat.com> 0:6.0.35-16_patch_01
- Add shell to SU in init file to fix JBPAPP-9599. Finished SELinux
- tasks in pre and preun, added check for selinuxenabled in conditional.

* Mon Jul 30 2012 David Knox <dknox@redhat.com> 0:6.0.35-15_patch_01
- Remove SELinux policy files from the zip

* Mon Jul 23 2012 David Knox <dknox@redhat.com> 0:6.0.35-14_patch_01
- SELinux files compile and source added to zip. Still requires testing.
- R and BR updated for commons-dbcp,pool,collections,logging-tomcat-eap6

* Thu Jun 28 2012 David Knox <dknox@redhat.com> 0:6.0.35-13_patch_01
- Add selinux config files to the zip distro

* Wed Jun 27 2012 David Knox <dknox@redhat.com> 0:6.0.35-12_patch_01
- Add selinux config files. BR for selinux-policy and selinux-policy-devel

* Tue Jun 26 2012 David Knox <dknox@redhat.com> 0:6.0.35-11_patch_01
- Commons-daemon-eap6 required renaming to commons-daemon
- Fixed usradd to use nologin.
- Signing of zips turned off. Tomcat6 and tomcat7 now have the same
- jars. Signing was not happening as expected. Jars were signed by
- the tomcat6 build but not the tomcat7 build. There was no difference
- in signing config or execution.

* Fri Jun 22 2012 David Knox <dknox@redhat.com> 0:6.0.35-10_patch_01
- Fixed broken symlink to commons-logging-api. Both R and BR are 
- present. The link was attempted during install. It's now copied 
- like the others.

* Thu Jun 21 2012 David Knox <dknox@redhat.com> 0:6.0.35-9_patch_01
- Made libs symmetrical between rpms and zips. Copy EWS2 libs into
- zips.

* Wed Jun 20 2012 David Knox <dknox@redhat.com> 0:6.0.35-8_patch_01
- Updated R: ecj to >= 3.7.1.

* Tue Jun 19 2012 David Knox <dknox@redhat.com> 0:6.0.35-7_patch_01
- Rebuild to include new EWS 2 dependencies. Removed dependency on
- commons-logging-tomcat-juli. It is not an EWS2 package.

* Thu Jun 14 2012 David Knox <dknox@redhat.com> 0:6.0.35_6_patch_01- Change to eap6 commons libraries
* Wed Jun 6 2012 David Knox <dknox@redhat.com> 0:6.0.35-5_patch_01
- Fixed broken symlinks jasper-jdt and commons-logging-tomcat-juli
- Removed commons-logging-tomcat-juli from -install- because it's redundant
- Copy ecj3 to jasper-jdt to fix symlink; cp works, ln -s doesn't
- Remove taglibs-standard as it is not needed

* Fri May 18 2012 David Knox <dknox@redhat.com> 0:6.0.35-4_patch_01
- Remove jsvc from the build

* Sat Apr 28 2012 David Knox <dknox@redhat.com> 0:6.0.35-3_patch_01
- Jar signing turned off. Remove RSA and JBoss policy file.

* Tue Feb 07 2012 David Knox <dknox@redhat.com> 0:6.0.35-2_patch_01
- Added jboss-parent package to BuildRequires. Required for ep-6 and 
- forward.

* Mon Jan 17 2012 David Knox <dknox@redhat.com> 0:6.0.35-1_patch_01
- Update to 6.0.35 

* Wed Jan 04 2012 Permaine Cheung <pcheung@redhat.com> 0:6.0.32-25_patch_06
- Add artifacts juli and annotations-api

* Wed Jan 04 2012 Permaine Cheung <pcheung@redhat.com> 0:6.0.32-24_patch_06
- Fix version in poms for proper uploading to MEAD

* Wed Jan 04 2012 Permaine Cheung <pcheung@redhat.com> 0:6.0.32-23_patch_06
- Rebuild

* Wed Jan 04 2012 Permaine Cheung <pcheung@redhat.com> 0:6.0.32-22_patch_06
- Move maven2-brew content to java-signed so that they get uploaded to MEAD

* Fri Dec 09 2011 Permaine Cheung <pcheung@redhat.com> 0:6.0.32-21_patch_06
- Fix artifactId

* Wed Dec 07 2011 Permaine Cheung <pcheung@redhat.com> 0:6.0.32-20_patch_06
- Add maven2-brew content to repolib

* Wed Oct 26 2011 David Knox <dknox@redhat.com> 0:6.6.32-19_patch_06
- Resolves cve-2011-3190

* Wed Oct 26 2011 David Knox <dknox@redhat.com> 0:6.6.32-18_patch_05
- Resolves cve-2011-1184

* Thu Sep 15 2011 David Knox <dknox@redhat.com> 0:6.0.32-17_patch_04
- Resolves: JBPAPP-4873, JBPAPP-6133, JBPAPP-3630 mulitple security manager
- issues
- Resolves: JBPAPP-6852 - tomcat6.conf read twice

* Tue Jul 26 2011 David Knox <dknox@redhat.com> 0:6.0.32-16_patch_04
- Resolves: CVE-2011-2526
- Resolves: CVE-2011-2204

* Mon Jun 21 2011 David Knox <dknox@redhat.com> 0:6.0.32-15_patch_03
- jbpapp-3900 tomcat library organization

* Mon Jun 13 2011 David Knox <dknox@redhat.com> 0:6.0.32-14_patch_03
- jbpapp-6698 unsigned commons-daemon

* Wed May 25 2011 David Knox <dknox@redhat.com> 0:6.0.32-13_patch_03
- Resolves jbpapp-3749 - cannot resolve user database

* Tue May 10 2011 David Knox <dknox@redhat.com> 0:6.0.32-12_patch_03
- Resolves jbpapp-3669 stabilize initscript log name 
- Resolves jbpapp-3654 orig files in distro
- Resolves jbpapp-3749 cannot resolve user database reference
- Change default log levels in log4j.properties from DEBUG to INFO
- Resolves jbpapp-2955 EWS displays wrong version spec

* Tue Apr 05 2011 David Knox <dknox@redhat.com> 0:6.0.32-11_patch_03
- Fix permission issues

* Mon Apr 04 2011 David Knox <dknox@redhat.com> 0:6.0.32-10_patch_03
- Fix permission issues

* Mon Apr 04 2011 Permaine Cheung <pcheung@redhat.com> 0:6.0.32-9.1_patch_03
- Default to use signed jars

* Wed Mar 30 2011 David Knox <dknox@redhat.com> 0:6.0.32-9_patch_03
- catalina.sh uses start -security, init scripts use start-security

* Tue Mar 29 2011 David Knox <dknox@redhat.com> 0:6.0.32-8_patch_03
- JBPAPP-6122 config hints for JON

* Tue Mar 29 2011 David Knox <dknox@redhat.com> 0:6.0.32-7_patch_02
- JBPAPP-6037 manager role added to tomcat-users.xml

* Thu Mar 24 2011 David Knox <dknox@redhat.com> 0:6.0.32-6_patch_02
- JBPAPP-3669 initd scripts ouput to catalina.out
- JBPAPP-3654 remove orig files from distribution

* Wed Mar 23 2011 David Knox <dknox@redhat.com> 0:6.0.32-5.patch02
- resolves: jbpapp-3644 tomcat enable security manager. Typo in 
- init script.

* Thu Mar 17 2011 David Knox <dknox@redhat.com> 0:6.0.32-4.patch02
- resolves: jbpapp-6036/3749 - can't resolve user database,
- naming-factory-dbcp. Fix for zip install is in catalina.sh 
- Fix for rpm install is in tomcat6.conf

* Tue Mar 08 2011 David Knox <dknox@redhat.com> 0:6.0.32-3.patch01
- Updated R: with first bit of package revision number
- Add sign-unsigned-jars to build before zips are created

* Wed Mar 02 2011 David Knox <dknox@redhat.com> 0:6.0.32-2.patch01
- Update dependency versions

* Mon Feb 23 2011 David Knox <dknox@redhat.com> 0:6.0.32-1.patch01
- Rebase on tomcat 6.0.32. Removed patches 6,7,8 which are already
- in 6.0.32

* Tue Feb 07 2011 David Knox <dknox@redhat.com> 0:6.0.24-11.patch03
- Resolves: CVE-2011-0534

* Thu Feb 03 2011 David Knox <dknox@redhat.com? 0:6.0.24-10.patch02
- Run the new patch 

* Wed Feb 02 2011 David Knox <pcheung@redhat.com> 0:6.0.24-9.patch02
- Resolves rhbz 674601 JDK Double.parseDouble DoS

* Wed Nov 03 2010 Permaine Cheung <pcheung@redhat.com> 0:6.0.24-8.patch01
- Remove tribes javadocs
- Fix end of line in zip

* Tue Jul 13 2010 David Knox <dknox@redhat.com> 0:6.0.24-7
- Resolved issue with patchlevel macro not expanding. Moved define
- to the front of the list

* Tue Jul 13 2010 David Knox <dknox@redhat.com> 0:6.0.24-6
- Add patch for CVE-2010-2227
- Resolves: #rhbz613945  
- JBPAPP-4607 JBPAPP-4532
- Completed patchlevel macro and added this patch to repolib install

* Mon Jun 21 2010 Permaine Cheung <pcheung@redhat.com> 0:6.0.24-5
- Rebuild with signatures

* Tue May 18 2010 Permaine Cheung <pcheung@redhat.com> 0:6.0.24-3.3.JBPAPP4221
- Add patch for JBPAPP-4221 for a one off

* Thu May 13 2010 Permaine Cheung <pcheung@redhat.com> 0:6.0.24-3.2.JBPAPP4188
- Add patch for JBPAPP-4188 for a one off

* Fri Mar 05 2010 Yong Yang <yyang@redhat.com> 0:6.0.24-3.1
- Merge with RHEL-4-EP-5 branch, add repolib

* Thu Feb 11 2010 Permaine Cheung <pcheung@redhat.com> 0:6.0.24-2.1
- Merge with RHEL-4-EP-5 branch

* Thu Feb 11 2010 Permaine Cheung <pcheung@redhat.com> 0:6.0.24-2
- Add R: jakarta-commons-logging-tomcat6

* Fri Jan 22 2010 Permaine Cheung <pcheung@redhat.com> 0:6.0.24-1.1
- Merge with RHEL-4-EP-5 branch

* Thu Jan 21 2010 Permaine Cheung <pcheung@redhat.com> 0:6.0.24-1
- Upgrade to 6.0.24
- Update patches
- Do not build windows zip

* Tue Jan 19 2010 Permaine Cheung <pcheung@redhat.com> 0:6.0.20-1.3
- Copy jars instead of creating symlink for packages that exist in base RHEL

* Fri Jan 15 2010 Permaine Cheung <pcheung@redhat.com> 0:6.0.20-1.2
- Rebuild

* Mon Jan 11 2010 Permaine Cheung <pcheung@redhat.com> 0:6.0.20-1.1
- Merge with RHEL-4-EP-5 branch

* Wed Sep 18 2009 Dave Knox <dknox@redhat.com> 0:6.0.18-12.0
- Respin for CVE-2208-5515 which was believed to have been applied
  in tomcat6.0.18 but was not present.

* Wed Sep 09 2009 Dave Knox <dknox@redhat.com> 0:6.0.18-11.0
- Errata respin for el-api. 

* Tue Jul 21 2009 Dave Knox <dknox@redhat.com> 0:6.0.18-10.2
- Xalan-j2 test was successful. Adding CVE-2009-0033, CVE-2009-0580, CVE-2009-0783. CVE-2008-5515 not applied, it is already present in 6.0.18.

* Tue Jul 21 2009 Dave Knox <dknox@redhat.com> 0:6.0.18-10.1t
- Adding xalan-j2 to fix build problem - java.lang.NoClassDefFoundError: org/apache/xml/serializer/SerializerTrace

* Tue May 12 2009 Permaine Cheung <pcheung@redhat.com> 0:6.0.18-9.1.1
- Merge with RHEL-4-EP-5 branch

* Wed Mar 25 2009 Permaine Cheung <pcheung@redhat.com> 0:6.0.18-8.18.1
- Merge with RHEL-4-EP-5 branch

* Wed Mar 18 2009 Permaine Cheung <pcheung@redhat.com> 0:6.0.18-8.16.1
- Merge with RHEL-4-EP-5 branch

* Mon Mar 16 2009 Permaine Cheung <pcheung@redhat.com> 0:6.0.18-8.15.1
- Merge with RHEL-4-EP-5 branch

* Mon Mar 16 2009 Permaine Cheung <pcheung@redhat.com> 0:6.0.18-8.15
- Add Requires: jakarta-commons-logging-tomcat6 for log4j subpackage

* Thu Mar 12 2009 Permaine Cheung <pcheung@redhat.com> 0:6.0.18-8.14.1
- Merge with RHEL-4-EP-5 branch

* Sat Feb 28 2009 Permaine Cheung <pcheung@redhat.com> 0:6.0.18-8.12.1
- Merge with RHEL-4-EP-5 branch

* Tue Feb 24 2009 Permaine Cheung <pcheung@redhat.com> 0:6.0.18-8.11.1
- Merge with RHEL-4-EP-5 branch

* Mon Feb 23 2009 Permaine Cheung <pcheung@redhat.com> 0:6.0.18-8.11
- Modify zip

* Tue Feb 17 2009 Permaine Cheung <pcheung@redhat.com> 0:6.0.18-8.10.1
- Merge with RHEL-4-EP-5 branch

* Tue Feb 17 2009 Permaine Cheung <pcheung@redhat.com> 0:6.0.18-8.10
- Do not build with ws by default

* Mon Feb 09 2009 David Walluck <dwalluck@redhat.com> 0:6.0.18-8.9
- add optional ws subpackage
- add log4j subpackage

* Mon Jan 26 2009 Permaine Cheung <pcheung@redhat.com> 0:6.0.18-8.8
- Remove examples

* Fri Jan 23 2009 Permaine Cheung <pcheung@redhat.com> 0:6.0.18-8.7.1
- Merge with RHEL-4-EP-5 version
- Add jsvc.tar.gz

* Wed Jan 21 2009 David Walluck <dwalluck@redhat.com> 0:6.0.18-8.6
- don't apply MANIFEST.MF patch for bootstrap.jar
- remove .pdf files in %%prep
- don't bother making scripts +x since zip task doesn't store perms
- correctly set OPT_JAR_LIST

* Wed Jan 21 2009 David Walluck <dwalluck@redhat.com> 0:6.0.18-8.5
- disable copy of tomcat-native.tar.gz and commons-daemon.jsvc.tar.gz
- create monolithic tomcat-dbcp.jar for build
- BuildRequires: jakarta-taglibs-standard for sample webapp
- use included build.xml to generate sample.war
- try to match upstream jar names for bundled jars
- make .sh scripts executable
- remove incorrect use of build-jar-repository from %%post
- own alternatives symlinks as %%ghost

* Fri Jan 16 2009 David Walluck <dwalluck@redhat.com> 0:6.0.18-8.4
- produce zips from included dist.xml
- own directories in zip package
- add additional documentation to main package

* Thu Dec 04 2008 Permaine Cheung <pcheung@redhat.com> 0:6.0.18-6.1
- Use ecj3 instead of ecj

* Tue Nov 25 2008 Permaine Cheung <pcheung@redhat.com> 0:6.0.18-8.3
- Add back the binary zip

* Tue Nov 25 2008 Permaine Cheung <pcheung@redhat.com> 0:6.0.18-8.2
- Do not produce the binary zip

* Fri Nov 14 2008 Permaine Cheung <pcheung@redhat.com> 0:6.0.18-8.1
- Add optional -zip and -src-zip subpackage

* Tue Nov 04 2008 Yong Yang <yyang@redhat.com> 0:6.0.18-8
- force BR java-devel = 1.5.0,so that can run on JDK5 and JDK6

* Tue Nov 04 2008 Yong Yang <yyang@redhat.com> 0:6.0.18-7
- fix "log_*_msg command not found"(only modified tomcat6-6.0.init)

* Tue Oct 07 2008 David Walluck <dwalluck@redhat.com> 0:6.0.18-6
- use lsb_release instead of lsb-release to get the distributor

* Tue Oct 07 2008 David Walluck <dwalluck@redhat.com> 0:6.0.18-5
- fix initscript messages on Mandriva Linux
- fix help message in initscript

* Wed Oct 01 2008 David Walluck <dwalluck@redhat.com> 0:6.0.18-4
- redefine %%_initrddir for FHS-compliance
- make initscript LSB-complaint

* Fri Sep 26 2008 David Walluck <dwalluck@redhat.com> 0:6.0.18-3
- fix status in initscript

* Thu Sep 25 2008 David Walluck <dwalluck@redhat.com> 0:6.0.18-2
- remove initscripts and /sbin/service requirement
- call initscript directly without using /sbin/service
- require /sbin/chkconfig instead of chkconfig
- remove chkconfig requirement from packages that don't require it

* Tue Aug 26 2008 David Walluck <dwalluck@redhat.com> 0:6.0.18-1
- 6.0.18
- Resolves: CVE-2008-1232, CVE-2008-1947, CVE-2008-2370, CVE-2008-2938
- fix definition of java.security.policy with d%%{name} start-security
- don't pass $CATALINA_OPTS with d%%{name} stop
- redefine tempdir and workdir for tmpwatch workaround
- change eclipse-ecj references to ecj

* Thu Jul 10 2008 Tom "spot" Callaway <tcallawa@redhat.com> - 0:6.0.16-1.8
- drop repotag

* Fri Apr 04 2008 David Walluck <dwalluck@redhat.com> 0:6.0.16-1jpp.7.fc9
- version jsp and servlet Provides with their spec versions
- remove Obsoletes/Provides for servletapi6 package as it can co-exist
- check for java-functions existence in wrapper script
- move d%%{name} to %%{name} and create symlink for d%%{name}
- improve status function in initscript
- change license to ASL 2.0 again as per Fedora guidelines

* Mon Mar 24 2008 David Walluck <dwalluck@redhat.com> 0:6.0.16-1jpp.6.fc9
- remove Requires: tomcat-native
- put back original JPackage Group (except javadoc) and License tags
- add Provides for jsp and servlet
- use ant macro
- build and install sample webapp
- call /sbin/service to stop service on uninstall
- remove references to $RPM_BUILD_DIR
- use copy instead of move to fix short-circuit install build
- remove prebuilt sample.war
- remove Thumbs.db files
- add Requires: java >= 0:1.6.0

* Wed Mar 19 2008 David Walluck <dwalluck@redhat.com> 0:6.0.16-1jpp.5.fc9
- explicitly unset CLASSPATH
- explicitly set OPT_JAR_LIST to include ant/ant-trax

* Tue Mar 18 2008 David Walluck <dwalluck@redhat.com> 0:6.0.16-1jpp.4.fc9
- remove BuildRequires: sed
- remove specific references to icedtea

* Mon Mar 17 2008 David Walluck <dwalluck@redhat.com> 0:6.0.16-1jpp.3.fc9
- add digest and tool-wrapper scripts
- Requires: tomcat-native

* Fri Mar 7 2008 David Walluck <dwalluck@redhat.com> 0:6.0.16-1jpp.2.fc9
- use %%{_var} for appdir instead of /srv
- use ${JAVACMD} for java executable in wrapper script
- use built-in status function in initscript where possible
- add missing require on procps for status function
- fix java.library.path setting in %%{_sysconfdir}/sysconfig/%%{name}
- add patch to document webapps in %%{_sysconfdir}/%%{name}/tomcat-users.xml
- remove %%{appdir}/ROOT/admin
- move %%{_bindir}/d%%{name} to %%{_sbindir}/d%%{name}

* Mon Mar 3 2008 David Walluck <dwalluck@redhat.com> 0:6.0.16-1jpp.1.fc9
- use %%{_initrddir} macro instead of %%{_sysconfdir}/init.d (rhbz #153187)
- fix java.library.path setting in %%{name}.conf (rhbz #253605)
- fix incorrect initscript output (rhbz #380921)
- update initscript (rhbz #247077)
- add logrotate support
- fix strange-permission
- fix %%prep
- replace /var with %%{_var}
- replace %%{_localstatedir} with %%{_var}
- use %%{logdir} where possible
- call build-jar-repository with full path in scriptlets
- remove file-based requires
- build with icedtea and set as the default JAVA_HOME in %%{name}.conf
- fix non-standard-group
- change ecj references to eclipse-ecj
- change Apache Software License 2.0 to ASL 2.0 for rpmlint

* Fri Feb  8 2008 Jason Corley <jason.corley@gmail.com> - 0:6.0.16-1jpp
- update to 6.0.16

* Sun Dec  2 2007 Jason Corley <jason.corley@gmail.com> - 0:6.0.14-2jpp
- add /etc/tomcat6/Catalina/localhost (Alexander Kurtakov)

* Tue Aug 14 2007 Jason Corley <jason.corley@gmail.com> 0:6.0.14-1jpp
- first JPackage release
